# Transport.h File Reference

`#include "Transport_Cache_Manager.h"`
`#include "tao/Transport_Timer.h"`
`#include "tao/Incoming_Message_Queue.h"`
`#include "tao/Incoming_Message_Stack.h"`
`#include "ace/Time_Value.h"`
`#include "Transport.inl"`

Include dependency graph for Transport.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO_Transport
| Generic definitions for the Transport class. More...

## Enumerations

enum | Connection_Role { TAO_UNSPECIFIED_ROLE = 0, TAO_SERVER_ROLE = 1, TAO_CLIENT_ROLE = 2 }

## Detailed Description

Id
  Transport.h,v 1.83 2006/02/22 20:52:11 frehberger Exp

Define the interface for the Transport component in TAO's pluggable protocol framework.

Author:
  Fred Kuhns <fredk@cs.wustl.edu>

## Enumeration Type Documentation

enum Connection_Role

Note:
  Should this be in TAO namespace. Seems like a candidate that should be in the transport

Enumeration values:

  TAO_UNSPECIFIED_ROLE |
  TAO_SERVER_ROLE |
  TAO_CLIENT_ROLE |